#
# apachevhost.conf include file for otago_eprints
#
# If this file exists then it will not be over written by
# the generate_apacheconf command.
#
# Directives in this file are interpreted inside the virtualhost 
# configuration for this repository.
#

# Ensure that the Perl CGI virtual directory is accessible to all...
<Location "/cgi">
    Order Deny,Allow
    Allow from All
</Location>

# ... but limit access to the registration page only to computers on the Otago
# campus network (IP address 139.80.x.x).
<Location "/cgi/register">
	Order Deny,Allow
	Deny from All
	Allow from ##EPRINTS_ALLOWED_DOMAINS##
	ErrorDocument 403 /error403_register.html
</Location>

# Set up ADT directory.
# <Directory "##EPRINTS_ROOT##/archives/otago_eprints/html/en/ADT">
# 	Options Indexes FollowSymlinks MultiViews
# 	AllowOverride None
# 	Order allow,deny
# 	Allow from all
# </Directory>

# Load the ePrintsStats configuration.
Include ##EPRINTSSTATS##/vhost/apache.conf

# Load the phpSurveyor configuration.
#Include ##PHPSURVEYOR##/apache.conf
